package domain


type AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo struct {
    /*
        外部主单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        外部渠道店ID(与shop_id必选其一)     */
    OutShopId  *string `json:"out_shop_id,omitempty" `

    /*
        外部逆向单ID     */
    OutRefundId  *string `json:"out_refund_id,omitempty" `

    /*
        退的商品费     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

    /*
        退的运费     */
    RefundPostFee  *int64 `json:"refund_post_fee,omitempty" `

    /*
        退的包装费     */
    RefundPackageFee  *int64 `json:"refund_package_fee,omitempty" `

    /*
        子单     */
    SubRefundOrders  *[]AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder `json:"sub_refund_orders,omitempty" `

    /*
        订单来源(选填out_shop_id时该值必填)     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        渠道店id(与out_shop_id必选其一)     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        渠道退商家的佣金，单位：分     */
    Commission  *int64 `json:"commission,omitempty" `

    /*
        未分类商家总优惠，单位：分     */
    OtherMerchantSubsidyFee  *int64 `json:"other_merchant_subsidy_fee,omitempty" `

    /*
        未分类平台总优惠，单位：分     */
    OtherPlatSubsidyFee  *int64 `json:"other_plat_subsidy_fee,omitempty" `

    /*
        商家应退给平台的金额，单位：分     */
    MerchantTotalFee  *int64 `json:"merchant_total_fee,omitempty" `

    /*
        退的渠道配送费补贴，单位：分     */
    PlatSendSubsidyFee  *int64 `json:"plat_send_subsidy_fee,omitempty" `

    /*
        退的商家配送费补贴，单位：分     */
    MerchantSendSubsidyFee  *int64 `json:"merchant_send_subsidy_fee,omitempty" `

    /*
        商家呼单小费，单位：分     */
    MerchantCallOrderFee  *int64 `json:"merchant_call_order_fee,omitempty" `

    /*
        冷链配送费，单位：分     */
    ColdChainSendFee  *int64 `json:"cold_chain_send_fee,omitempty" `

    /*
        商家呼单配送费，单位：分     */
    MerchantCallOrderSendFee  *int64 `json:"merchant_call_order_send_fee,omitempty" `

    /*
        配送保险，单位：分     */
    SendInsuranceFee  *int64 `json:"send_insurance_fee,omitempty" `

    /*
        物流驻店服务费，单位：分     */
    LogisticsShopServiceFee  *int64 `json:"logistics_shop_service_fee,omitempty" `

    /*
        实收增值服务费，单位：分     */
    ActualIncrementServiceFee  *int64 `json:"actual_increment_service_fee,omitempty" `

    /*
        履约增值服务费，单位：分     */
    PerformanceIncrementServiceFee  *int64 `json:"performance_increment_service_fee,omitempty" `

    /*
        距离加价履约费，单位：分     */
    DistanceIncreasePerformanceFee  *int64 `json:"distance_increase_performance_fee,omitempty" `

    /*
        时段加价履约费，单位：分     */
    TimeIncreasePerformanceFee  *int64 `json:"time_increase_performance_fee,omitempty" `

    /*
        公益捐款，单位：分     */
    MerchantPublicDonation  *int64 `json:"merchant_public_donation,omitempty" `

    /*
        用户积分抵扣金额，单位：分     */
    PlatPointsDeductionFee  *int64 `json:"plat_points_deduction_fee,omitempty" `

    /*
        自提服务费优惠金额，单位：分     */
    SelfPickDiscountFee  *int64 `json:"self_pick_discount_fee,omitempty" `

    /*
        自提服务费，单位：分     */
    SelfPickPayableFee  *int64 `json:"self_pick_payable_fee,omitempty" `

    /*
        商家基础配送费，单位：分     */
    MerchantBaseSendFee  *int64 `json:"merchant_base_send_fee,omitempty" `

    /*
        价格加价履约费，单位：分     */
    PriceIncreasePerformanceFee  *int64 `json:"price_increase_performance_fee,omitempty" `

    /*
        支付渠道     */
    PayChannels  *[]AlibabaTclsAelophyMerchantChannelRefundCompletePayChannel `json:"pay_channels,omitempty" `

    /*
        退款原因类型：10-整单全缺;11-订单部分缺;12-商家侧发起的退款(商家拒单); 13-用户侧发起的退款(用户逆向申请);15-用户拒收     */
    RefundReasonType  *int64 `json:"refund_reason_type,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetOutShopId(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.OutShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetOutRefundId(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.OutRefundId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetRefundFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.RefundFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetRefundPostFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.RefundPostFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetRefundPackageFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.RefundPackageFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetSubRefundOrders(v []AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.SubRefundOrders = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetOrderFrom(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.ShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetCommission(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.Commission = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetOtherMerchantSubsidyFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.OtherMerchantSubsidyFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetOtherPlatSubsidyFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.OtherPlatSubsidyFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetMerchantTotalFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.MerchantTotalFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetPlatSendSubsidyFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.PlatSendSubsidyFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetMerchantSendSubsidyFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.MerchantSendSubsidyFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetMerchantCallOrderFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.MerchantCallOrderFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetColdChainSendFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.ColdChainSendFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetMerchantCallOrderSendFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.MerchantCallOrderSendFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetSendInsuranceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.SendInsuranceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetLogisticsShopServiceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.LogisticsShopServiceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetActualIncrementServiceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.ActualIncrementServiceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetPerformanceIncrementServiceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.PerformanceIncrementServiceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetDistanceIncreasePerformanceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.DistanceIncreasePerformanceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetTimeIncreasePerformanceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.TimeIncreasePerformanceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetMerchantPublicDonation(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.MerchantPublicDonation = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetPlatPointsDeductionFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.PlatPointsDeductionFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetSelfPickDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.SelfPickDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetSelfPickPayableFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.SelfPickPayableFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetMerchantBaseSendFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.MerchantBaseSendFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetPriceIncreasePerformanceFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.PriceIncreasePerformanceFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetPayChannels(v []AlibabaTclsAelophyMerchantChannelRefundCompletePayChannel) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.PayChannels = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) SetRefundReasonType(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo {
    s.RefundReasonType = &v
    return s
}
